# -*- encoding: utf-8 -*-
# stub: hashie 4.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "hashie".freeze
  s.version = "4.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/hashie/hashie/issues", "changelog_uri" => "https://github.com/hashie/hashie/blob/master/CHANGELOG.md", "documentation_uri" => "https://www.rubydoc.info/gems/hashie", "source_code_uri" => "https://github.com/hashie/hashie" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Michael Bleigh".freeze, "Jerry Cheung".freeze]
  s.date = "2020-02-01"
  s.description = "Hashie is a collection of classes and mixins that make hashes more powerful.".freeze
  s.email = ["michael@intridea.com".freeze, "jollyjerry@gmail.com".freeze]
  s.files = [".yardopts".freeze, "CHANGELOG.md".freeze, "CONTRIBUTING.md".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "UPGRADING.md".freeze, "hashie.gemspec".freeze, "lib/hashie.rb".freeze, "lib/hashie/array.rb".freeze, "lib/hashie/clash.rb".freeze, "lib/hashie/dash.rb".freeze, "lib/hashie/extensions/active_support/core_ext/hash.rb".freeze, "lib/hashie/extensions/array/pretty_inspect.rb".freeze, "lib/hashie/extensions/coercion.rb".freeze, "lib/hashie/extensions/dash/coercion.rb".freeze, "lib/hashie/extensions/dash/indifferent_access.rb".freeze, "lib/hashie/extensions/dash/property_translation.rb".freeze, "lib/hashie/extensions/deep_fetch.rb".freeze, "lib/hashie/extensions/deep_find.rb".freeze, "lib/hashie/extensions/deep_locate.rb".freeze, "lib/hashie/extensions/deep_merge.rb".freeze, "lib/hashie/extensions/ignore_undeclared.rb".freeze, "lib/hashie/extensions/indifferent_access.rb".freeze, "lib/hashie/extensions/key_conflict_warning.rb".freeze, "lib/hashie/extensions/key_conversion.rb".freeze, "lib/hashie/extensions/mash/define_accessors.rb".freeze, "lib/hashie/extensions/mash/keep_original_keys.rb".freeze, "lib/hashie/extensions/mash/permissive_respond_to.rb".freeze, "lib/hashie/extensions/mash/safe_assignment.rb".freeze, "lib/hashie/extensions/mash/symbolize_keys.rb".freeze, "lib/hashie/extensions/merge_initializer.rb".freeze, "lib/hashie/extensions/method_access.rb".freeze, "lib/hashie/extensions/parsers/yaml_erb_parser.rb".freeze, "lib/hashie/extensions/pretty_inspect.rb".freeze, "lib/hashie/extensions/ruby_version.rb".freeze, "lib/hashie/extensions/ruby_version_check.rb".freeze, "lib/hashie/extensions/strict_key_access.rb".freeze, "lib/hashie/extensions/stringify_keys.rb".freeze, "lib/hashie/extensions/symbolize_keys.rb".freeze, "lib/hashie/hash.rb".freeze, "lib/hashie/logger.rb".freeze, "lib/hashie/mash.rb".freeze, "lib/hashie/railtie.rb".freeze, "lib/hashie/rash.rb".freeze, "lib/hashie/trash.rb".freeze, "lib/hashie/utils.rb".freeze, "lib/hashie/version.rb".freeze]
  s.homepage = "https://github.com/hashie/hashie".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.3.10".freeze
  s.summary = "Your friendly neighborhood hash library.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
  else
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
  end
end

